import 'package:crab_ui/contact.dart';
import 'package:flutter/material.dart';
import 'home_page.dart';
import 'api_service.dart';
import 'dart:html' as html;

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(const HyM());
}

class HyM extends StatelessWidget {
  const HyM({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
      title: 'HyM',
      home: HomeScreen(),
      routes: {
        "/email": (context) => EmailPage(),
        "/contacts": (context) => ContactsPage(),
      },
    );
  }
}
